/*************************************************************
  Download latest Blynk library here:
    https://github.com/blynkkk/blynk-library/releases/latest

  Blynk is a platform with iOS and Android apps to control
  Arduino, Raspberry Pi and the likes over the Internet.
  You can easily build graphic interfaces for all your
  projects by simply dragging and dropping widgets.

    Downloads, docs, tutorials: http://www.blynk.cc
    Sketch generator:           http://examples.blynk.cc
    Blynk community:            http://community.blynk.cc
    Follow us:                  http://www.fb.com/blynkapp
                                http://twitter.com/blynk_app

  Blynk library is licensed under MIT license
  This example code is in public domain.

 *************************************************************
  This example runs directly on ESP8266 chip.

  Note: This requires ESP8266 support package:
    https://github.com/esp8266/Arduino

  Please be sure to select the right ESP8266 module
  in the Tools -> Board menu!

  Change WiFi ssid, pass, and Blynk auth token to run :)
  Feel free to apply it to any other example. It's simple!
 *************************************************************/

/* Comment this out to disable prints and save space */
#define BLYNK_PRINT Serial


#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "xx";

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "xx";
char pass[] = "xx";

char local_domain[] = "192.168.0.111";



/*SHT3X 传感器

*	使用软I2C接口

*/

#define SHT3X_SDA D5

#define SHT3X_SCL D6



#include "SHT3X.h"

SlowSoftWire shtWire(SHT3X_SDA,SHT3X_SCL,true);



HTU3X myHumidity;

BlynkTimer timer;
void myTimerEvent()
{


	float humd, temp;

	myHumidity.readTempAndHumi(&temp, &humd);

	

	Serial.print("时间:");

	Serial.print(millis());

	Serial.print(" 温度:");

	Serial.print(temp, 1);

	Serial.print(" °C");

	Serial.print(" 湿度:");

	Serial.print(humd, 1);

	Serial.print("%");

	Serial.println();

	

	Blynk.virtualWrite(V0, temp);

	Blynk.virtualWrite(V1, humd);
}

void setup()
{
  // Debug console
  Serial.begin(9600);

  Blynk.begin(auth, ssid, pass, local_domain,8080);
	

	myHumidity.begin(shtWire);

	
	timer.setInterval(1000L, myTimerEvent);
}

void loop()
{
  Blynk.run();
	timer.run(); // Initiates BlynkTimer
}

